summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:54:34 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:34 +0200
commit0cdc9d3e70d890a169d870baf15cdfeccfc3609c (patch)
tree613654aa8fb2247653d969191b57d22bc0ae182b /multimedia
parent6b21596e87aea87f4a4a9b4ebf6818231247f9e2 (diff)
downloadslackbuilds-0cdc9d3e70d890a169d870baf15cdfeccfc3609c.tar.gz
slackbuilds-0cdc9d3e70d890a169d870baf15cdfeccfc3609c.tar.xz
multimedia/gst-plugins-ugly: Added to 12.1 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gst-plugins-ugly/README11
-rw-r--r--multimedia/gst-plugins-ugly/gst-plugins-ugly.SlackBuild84
-rw-r--r--multimedia/gst-plugins-ugly/gst-plugins-ugly.info8
-rw-r--r--multimedia/gst-plugins-ugly/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/multimedia/gst-plugins-ugly/README b/multimedia/gst-plugins-ugly/README
new file mode 100644
index 0000000000..31cde08882
--- /dev/null
+++ b/multimedia/gst-plugins-ugly/README
@@ -0,0 +1,11 @@
+GStreamer Ugly Plug-ins is a set of plug-ins that have good
+quality and correct functionality, but distributing them
+might pose problems. The license on either the plug-ins or
+the supporting libraries might not be how we'd like. The
+code might be widely known to present patent problems.
+
+gst-plugins-ugly will need the following dependencies:
+gstreamer, liboil, gst-plugins-base. Buildscripts are available
+at slackbuilds.org
+
+
diff --git a/multimedia/gst-plugins-ugly/gst-plugins-ugly.SlackBuild b/multimedia/gst-plugins-ugly/gst-plugins-ugly.SlackBuild
new file mode 100644
index 0000000000..3791cf2943
--- /dev/null
+++ b/multimedia/gst-plugins-ugly/gst-plugins-ugly.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for gst-plugins-ugly
+# Copyright 2007-2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gst-plugins-ugly
+VERSION=0.10.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README NEWS \
+ RELEASE REQUIREMENTS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gst-plugins-ugly/gst-plugins-ugly.info b/multimedia/gst-plugins-ugly/gst-plugins-ugly.info
new file mode 100644
index 0000000000..6cdd0202c2
--- /dev/null
+++ b/multimedia/gst-plugins-ugly/gst-plugins-ugly.info
@@ -0,0 +1,8 @@
+PRGNAM="gst-plugins-ugly"
+VERSION="0.10.9"
+HOMEPAGE="http://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-0.10.9.tar.bz2"
+MD5SUM="07a0b04875dea00fe90fd43b58ee9f39"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="Erik Hanson"
diff --git a/multimedia/gst-plugins-ugly/slack-desc b/multimedia/gst-plugins-ugly/slack-desc
new file mode 100644
index 0000000000..3ba97dc328
--- /dev/null
+++ b/multimedia/gst-plugins-ugly/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-plugins-ugly: gst-plugins-ugly (a set of GStreamer plugins)
+gst-plugins-ugly:
+gst-plugins-ugly: GStreamer Ugly Plug-ins is a set of plug-ins that have good
+gst-plugins-ugly: quality and correct functionality, but distributing them
+gst-plugins-ugly: might pose problems. The license on either the plug-ins or
+gst-plugins-ugly: the supporting libraries might not be how we'd like. The
+gst-plugins-ugly: code might be widely known to present patent problems.
+gst-plugins-ugly:
+gst-plugins-ugly: plugins-ugly is a set of good-quality plug-ins that might
+gst-plugins-ugly: pose distribution problems
+gst-plugins-ugly: